# Create a price list scheduler

To [create](https://docs.commercelayer.io/core/creating-resources) a new price list scheduler, send a `POST` request to the `/api/price_list_schedulers` endpoint, passing the resource arguments in the request body.

## Request

**POST** <https://yourdomain.commercelayer.io/api/price\\_list\\_schedulers>

### Arguments

| Body Parameter                   | Type      | Required |
| -------------------------------- | --------- | -------- |
| **type**                         | `string`  | Required |
| attributes.**name**              | `string`  | Required |
| attributes.**starts\_at**        | `string`  | Required |
| attributes.**expires\_at**       | `string`  | Required |
| attributes.**\_disable**         | `boolean` | Optional |
| attributes.**\_enable**          | `boolean` | Optional |
| attributes.**reference**         | `string`  | Optional |
| attributes.**reference\_origin** | `string`  | Optional |
| attributes.**metadata**          | `object`  | Optional |
| relationships.**market**         | `object`  | Required |
| relationships.**price\_list**    | `object`  | Required |

### Example

{% tabs %}
{% tab title="Request" %}
The following request creates a new price list scheduler:

```shell
curl -g -X POST \
  'https://yourdomain.commercelayer.io/api/price_list_schedulers' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer your-access-token' \
  -H 'Content-Type: application/vnd.api+json' \
  -d '{
  "data": {
    "type": "price_list_schedulers",
    "attributes": {
      "name": "FW SALE 2023",
      "starts_at": "2018-01-01T12:00:00.000Z",
      "expires_at": "2018-01-02T12:00:00.000Z"
    },
    "relationships": {
      "market": {
        "data": {
          "type": "markets",
          "id": "ABCRtyUpBa"
        }
      },
      "price_list": {
        "data": {
          "type": "price_lists",
          "id": "BCDRtyUpBa"
        }
      }
    }
  }
}'
```

{% endtab %}

{% tab title="Response" %}
On success, the API responds with a `201 Created` status code, returning the created resource object:

```json
{
  "data": {
    "id": "XAyRWNUzyN",
    "type": "price_list_schedulers",
    "links": {
      "self": "https://yourdomain.commercelayer.io/api/price_list_schedulers/XAyRWNUzyN"
    },
    "attributes": {
      "name": "FW SALE 2023",
      "starts_at": "2018-01-01T12:00:00.000Z",
      "expires_at": "2018-01-02T12:00:00.000Z",
      "active": true,
      "status": "pending",
      "disabled_at": "2018-01-01T12:00:00.000Z",
      "created_at": "2018-01-01T12:00:00.000Z",
      "updated_at": "2018-01-01T12:00:00.000Z",
      "reference": "ANY-EXTERNAL-REFEFERNCE",
      "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
      "metadata": {
        "foo": "bar"
      }
    },
    "relationships": {
      "market": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/price_list_schedulers/XAyRWNUzyN/relationships/market",
          "related": "https://yourdomain.commercelayer.io/api/price_list_schedulers/XAyRWNUzyN/market"
        }
      },
      "price_list": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/price_list_schedulers/XAyRWNUzyN/relationships/price_list",
          "related": "https://yourdomain.commercelayer.io/api/price_list_schedulers/XAyRWNUzyN/price_list"
        }
      },
      "events": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/price_list_schedulers/XAyRWNUzyN/relationships/events",
          "related": "https://yourdomain.commercelayer.io/api/price_list_schedulers/XAyRWNUzyN/events"
        }
      },
      "event_stores": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/price_list_schedulers/XAyRWNUzyN/relationships/event_stores",
          "related": "https://yourdomain.commercelayer.io/api/price_list_schedulers/XAyRWNUzyN/event_stores"
        }
      }
    },
    "meta": {
      "mode": "test",
      "organization_id": "xRRkjDFafe",
      "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.commercelayer.io/core-api-reference/price_list_schedulers/create.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
